package org.loom.annotation.processor;

import java.util.Set;

import com.google.common.collect.Sets;

/**
 * Stores the list of classesvisited while processing annotations for an action.
 * this class is  not thread safe, but the configuration phase is single-threaded anyway.
 * @author icoloma
 *
 */
public class VisitedClasses {

	private static Set<Class<?>> visited;

	public static void initialize() {
		visited = Sets.newHashSet();
	}

	public static Set<Class<?>> get() {
		return visited;
	}

	public static void add(Class<?> clazz) {
		if (!clazz.getName().startsWith("java")) {
			visited.add(clazz);
		}
	}
	
}
