/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.binding;

import java.util.List;

/** 
 * A Node representing a List
 * @author Ignacio Coloma
 */
public class ListNode extends AbstractCollectionNode {

	@Override
	protected Object get(Object list, int index) {
		return ((List<?>)list).get(index);
	}

	@Override
	protected int getSize(Object list) {
		return ((List<?>)list).size();
	}

	@SuppressWarnings("unchecked")
	@Override
	protected void set(Object list, int index, Object item) {
		((List)list).set(index, item);
	}

	@Override
	protected Object ensureCapacity(Object container, Object collection, int minSize) {
		List<?> list = (List<?>) collection;
		if (list.size() < minSize) {
			for (int i = minSize - list.size(); i > 0; i--) {
				list.add(null);
			}
		}
		return list;
	}
	
}
