/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.exception;

import org.loom.i18n.Message;

/**
 * Implemented by exceptions that can return messages for the configured locale.
 * Subclasses should return the message key to be retrieved from the messages repository.
 * @author icoloma
 */
public interface LocaleAwareThrowable {

	/**
	 * @return the message key that will be looked for ion the current MessagesRepository
	 */
	public Message getLocaleAwareMessage();
	
}
