package org.loom.guice;

import java.util.Set;

import javax.inject.Inject;
import javax.inject.Singleton;

import org.loom.converter.AnnotationDrivenConverterFactory;
import org.loom.converter.Converter;
import org.loom.converter.DefaultConverterFactory;

@Singleton
public class GuiceConverterFactory extends DefaultConverterFactory {

	@Inject
	public void setAnnotationDrivenConverterFactories(Set<AnnotationDrivenConverterFactory> adcf) {
		for (AnnotationDrivenConverterFactory factory : adcf) {
			addConverterFactory(factory);
		}
	}
	
	@Inject
	public void setConverters(Set<Converter> converters) {
		for (Converter converter: converters) {
			setConverter(converter.getConvertedClass(), converter);
		}
	}
	
}
