package org.loom.guice;

import org.loom.annotation.processor.BasicAnnotationProcessor;
import org.loom.annotation.processor.ColumnAnnotationProcessor;
import org.loom.annotation.processor.RetrieveEntityAnnotationProcessor;

import com.google.common.collect.ImmutableList;
import com.google.inject.AbstractModule;

/**
 * Adds JPA 1 annotations (Basic and Column) for form field validation
 * @author icoloma
 *
 */
public class JpaModule extends AbstractModule {

	@Override
	protected void configure() {
		Iterable aps = ImmutableList.of(
			BasicAnnotationProcessor.class,
			ColumnAnnotationProcessor.class,
			RetrieveEntityAnnotationProcessor.class
		);
		Plugins.bindAnnotationProcessors(binder(), aps); 
	}

}
