package org.loom.interceptor;

import com.google.inject.internal.util.ToStringBuilder;

public class SSLRedirectData {

	private String scheme;
	
	/**
	 * Calculate the server name to redirect to. If null, the same hostname specified in the user request will be used
	 */
	private String hostname;
	
	private Integer port;

	public SSLRedirectData(String scheme, String hostname, Integer port) {
		this.scheme = scheme;
		this.port = port;
		this.hostname = hostname;
	}

	public Integer getPort() {
		return port;
	}

	public String getScheme() {
		return scheme;
	}

	public String getHostname() {
		return hostname;
	}
	
	@Override
	public String toString() {
		return new ToStringBuilder(SSLRedirectData.class)
			.add("scheme", scheme)
			.add("hostname", hostname)
			.add("port", port)
			.toString()
			;
	}
	
}
