package org.loom.persistence;

import java.util.Map;

import javax.persistence.EntityManagerFactory;
import javax.persistence.spi.PersistenceProvider;
import javax.persistence.spi.PersistenceUnitInfo;

/**
 * {@link PersistenceProvider} that extends Hibernate EntityManager to ExtendedEntityManager
 * @author icoloma
 *
 */
@SuppressWarnings("unchecked")
public class ExtendedPersistenceProvider implements
		PersistenceProvider {

	/** the real persistence provider */
	private PersistenceProvider delegate;
	
	/** the ExtendedEntityManager implementation class */
	private Class<? extends ExtendedEntityManager> extendedEntityManagerImplClass;
	
	public EntityManagerFactory createContainerEntityManagerFactory( PersistenceUnitInfo info, Map map) {
		return new ExtendedEntityManagerFactory(delegate.createContainerEntityManagerFactory(info, map), extendedEntityManagerImplClass);
	}

	public EntityManagerFactory createEntityManagerFactory(String emName, Map map) {
		return new ExtendedEntityManagerFactory(delegate.createEntityManagerFactory(emName, map), extendedEntityManagerImplClass);
	}

	public void setDelegate(PersistenceProvider delegate) {
		this.delegate = delegate;
	}

	public void setExtendedEntityManagerImplClass(
			Class<? extends ExtendedEntityManager> extendedEntityManagerImplClass) {
		this.extendedEntityManagerImplClass = extendedEntityManagerImplClass;
	}
	
}
