package org.loom.resolution;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * Each entry returned in this Resolution instance
 * @author icoloma
 *
 */
public class AutocompleteEntry {
	
	/** the entry value */
	private String value;
	
	private Map<String, Object> attributes;

	public AutocompleteEntry(String value) {
		this.value = value;
	}

	/**
	 * Add an attribute to this AutocompleteEntry. Attributes will be rendered as HTML attributes in the li node.
	 */
	public AutocompleteEntry set(String name, Object value) {
		if (this.attributes == null) {
			this.attributes = new LinkedHashMap<String, Object>();
		}
		attributes.put(name, value);
		return this;
	}
	
	public String getValue() {
		return value;
	}

	public Map<String, Object> getAttributes() {
		return attributes;
	}
	
}