/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.resolution;

import org.loom.servlet.LoomServletResponse;

/**
 * Http Header
 * @author Ignacio Coloma
 */
public abstract class HttpHeader {

	/** the name of the http header */
	private String name;
	
	/** true to call response.addHeader, false to call response.setHeader */
	private boolean added;

	public HttpHeader(String name, boolean add) {
		this.name = name;
		this.added = add;
	}
	
	/**
	 * Write the herader to the servletResponse object
	 * @param response
	 */
	public abstract void write(LoomServletResponse response);

	public String getName() {
		return name;
	}

	protected boolean isAdded() {
		return added;
	}
	
}
