package org.loom.resources.compressor;

import org.loom.log.Log;
import org.mozilla.javascript.ErrorReporter;
import org.mozilla.javascript.EvaluatorException;

/**
 * Implementation of the YuiErrorReporter
 * @author icoloma
 */
public class YuiErrorReporter implements ErrorReporter {

	/** the log instance used to report errors */
	private Log log;
	
	public YuiErrorReporter(Log log) {
		this.log = log;
	}

	public void warning(String message, String sourceName, int line, String lineSource, int lineOffset) {
		if (line < 0) {
			log.warn(message);
		} else {
			log.warn(sourceName, "[", line, ":", lineOffset, "]: ", message);
		}
    }

    public void error(String message, String sourceName, int line, String lineSource, int lineOffset) {
    	if (line < 0) {
    		log.error(message);
    	} else {
    		log.error(sourceName, "[", line, ":", lineOffset, "]: ", message);
    	}
    }

    public EvaluatorException runtimeError(String message, String sourceName, int line, String lineSource, int lineOffset) {
        error(message, sourceName, line, lineSource, lineOffset);
        return new EvaluatorException(message);
    }
}
