/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.servlet.names;

/**
 * CSS styles generated automatically by loom.
 * Some of these styles should not be required when using a modern browser,
 * since there are CSS2 selectors like :disabled and [type=file] that work 
 * fine with grade A browsers.
 * 
 * @author Ignacio Coloma
 */
public interface CssClassNames {

	/** a number field */
	public static String NUMBER = "number";
	
	/** a string field */
	public static String STRING = "string";
	
	/** a date field without time */
	public static String DATE = "date";
	
	/** a date field with time */
	public static String DATE_TIME = "dateTime";
	
	/** a time field */
	public static String TIME = "time";
	
	/** input type="file" components */
	public static String FILE = "file";
	
	/** a field with an associated error message */
	public static String ERROR = "error";
	
	/** a link that points to a forbidden event because the user does not have enough permissions */
	public static String UNAUTHORIZED = "unauthorized";
	
	/** a required field */
	public static String REQUIRED = "required";
	
	/** a link/form pointing to a SingleUseToken event */
	public static String SINGLE_USE_TOKEN = "singleUseToken";
	
}
