package org.loom.spring;

import javax.annotation.PostConstruct;
import javax.inject.Inject;
import javax.inject.Singleton;

import org.loom.converter.AnnotationDrivenConverterFactory;
import org.loom.converter.Converter;
import org.loom.converter.DefaultConverterFactory;
import org.springframework.context.ApplicationContext;

@Singleton
public class SpringConverterFactory extends DefaultConverterFactory {

	@Inject
	private ApplicationContext applicationContext;
	
	@PostConstruct
	public void autodiscoverConverters() {
		for (Converter converter: applicationContext.getBeansOfType(Converter.class).values()) {
			setConverter(converter.getConvertedClass(), converter);
		}
		for (AnnotationDrivenConverterFactory factory: applicationContext.getBeansOfType(AnnotationDrivenConverterFactory.class).values()) {
			addConverterFactory(factory);
		}

	}
	
}
