package org.loom.spring;

import javax.inject.Inject;
import javax.inject.Singleton;

import org.loom.util.Lookup;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Lazy;

@Singleton
@Lazy(false)
public class SpringLookup extends Lookup {

	@Inject
	private ApplicationContext applicationContext;
	
	public SpringLookup() {
		Lookup.setInstance(this);
	}
	
	@Override
	public <T> T byClass(Class<? extends T> clazz) {
		return applicationContext.getBean(clazz);
	}

	@Override
	public <T> T byName(Class<? extends T> clazz, String name) {
		return (T) applicationContext.getBean(name);
	}

	public void setApplicationContext(ApplicationContext applicationContext) {
		this.applicationContext = applicationContext;
	}

}

