package org.loom.tags;

import org.loom.servlet.HttpMethod;
import org.loom.url.UrlBuilder;

/**
 * Contains the attributes of a html link
 * @author icoloma
 */
public interface Link extends HtmlTag {
	
	/**
	 * @return the target url of this link
	 */
	public UrlBuilder getUrl();
	
	/**
	 * @return the {@link HttpMethod} of this link. If null, GET will be used
	 */
	public HttpMethod getMethod();
	
	/**
	 * Set the {@link HttpMethod} of this link. 	/
	 * If specified (and != GET), be aware that you should setup the 
	 * javascript needed to actually perform the POST call. Browsers without javascript enabled
	 * (such as web crawlers, or normal browsers with ctrl+click) will ignore this and perform 
	 * a GET call that should be accepted and i.e. get this same HTML page. 
	 */
	public void setMethod(HttpMethod method);
	
}
