/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.tags;

import org.loom.servlet.LoomServletRequest;
import org.loom.servlet.Scope;

public interface LoomTag {

	/**
	 * Create a scoped attribute
	 * @param name the attribute name
	 * @param value the value 
	 * @param scope the scope of the attribute. Cannot be null. 
	 */
	public abstract void setScopedAttribute(String name, Object value, Scope scope);

	/**
	 * Get a scoped var
	 * @param name the var name
	 * @param scope the scope of the var. If null checks them all
	 */
	public abstract Object getScopedAttribute(String name, Scope scope);

	/**
	 * @return the current request object
	 */
	public abstract LoomServletRequest getRequest();

	/**
	 * @return the TagAttributes instance with the extended (not included 
	 * in the HTML 5 spec) attributes of this link
	 */
	public TagAttributes getExtendedAttributes();
	
	/**
	 * Add an attribute not suported by the HTML 5 spec
	 * @param name the name of the attribute
	 * @param value the value of the attribute
	 */
	public void setExtendedAttribute(String name, Object value);


}