package org.loom.util;

/**
 * Performs lookup of Injected values where injection is not possible, e.g. 
 * from JSP tags.
 * @author icoloma
 */
public abstract class Lookup {

	public abstract <T> T byClass(Class<? extends T> clazz);
	public abstract <T> T byName(Class<? extends T> clazz, String name);
	
	private static Lookup instance;

	public static Lookup getInstance() {
		return instance;
	}

	protected static void setInstance(Lookup instance) {
		Lookup.instance = instance;
	}
	
}
